<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Class Index</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li class="current"><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classes.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Index</div>  </div>
</div><!--header-->
<div class="contents">
<div class="qindex"><a class="qindex" href="#letter_A">A</a>&#160;|&#160;<a class="qindex" href="#letter_B">B</a>&#160;|&#160;<a class="qindex" href="#letter_C">C</a>&#160;|&#160;<a class="qindex" href="#letter_D">D</a>&#160;|&#160;<a class="qindex" href="#letter_F">F</a>&#160;|&#160;<a class="qindex" href="#letter_G">G</a>&#160;|&#160;<a class="qindex" href="#letter_H">H</a>&#160;|&#160;<a class="qindex" href="#letter_I">I</a>&#160;|&#160;<a class="qindex" href="#letter_M">M</a>&#160;|&#160;<a class="qindex" href="#letter_P">P</a>&#160;|&#160;<a class="qindex" href="#letter_R">R</a>&#160;|&#160;<a class="qindex" href="#letter_S">S</a>&#160;|&#160;<a class="qindex" href="#letter_T">T</a>&#160;|&#160;<a class="qindex" href="#letter_U">U</a></div>
<table class="classindex">
<tr><td rowspan="2" valign="bottom"><a name="letter_A"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;A&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_dspi_slave_transport.html">DspiSlaveTransport</a> (erpc)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_M"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;M&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html">RPMsgZCRTOSTransport</a> (erpc)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_T"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;T&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td valign="top"><a class="el" href="class_dynamic_message_buffer_factory.html">DynamicMessageBufferFactory</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_r_p_msg_z_c_transport.html">RPMsgZCTransport</a> (erpc)&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classerpc_1_1_arbitrated_client_manager.html">ArbitratedClientManager</a> (erpc)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_F"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;F&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_manually_constructed.html">ManuallyConstructed</a> (erpc)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_S"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;S&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_t_c_p_transport.html">TCPTransport</a> (erpc)&#160;&#160;&#160;</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_B"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;B&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_thread.html">Thread</a> (erpc)&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classerpc_1_1_framed_transport.html">FramedTransport</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_message_buffer_factory.html">MessageBufferFactory</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_semaphore.html">Semaphore</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_transport.html">Transport</a> (erpc)&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classerpc_1_1_basic_codec.html">BasicCodec</a> (erpc)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_G"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;G&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_mutex.html">Mutex</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_serial_transport.html">SerialTransport</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_transport_arbitrator.html">TransportArbitrator</a> (erpc)&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classerpc_1_1_basic_codec_factory.html">BasicCodecFactory</a> (erpc)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_P"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;P&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_server.html">Server</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_transport_factory.html">TransportFactory</a> (erpc)&#160;&#160;&#160;</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_C"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;C&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_mutex_1_1_guard.html">Mutex::Guard</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_service.html">Service</a> (erpc)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_U"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;U&#160;&#160;</div></td></tr></table>
</td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_H"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;H&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="structerpc_1_1_transport_arbitrator_1_1_pending_client_info.html">TransportArbitrator::PendingClientInfo</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_inter_thread_buffer_transport.html#structerpc_1_1_inter_thread_buffer_transport_1_1_shared_state">InterThreadBufferTransport::SharedState</a> (erpc)&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classerpc_1_1_client_manager.html">ClientManager</a> (erpc)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_R"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;R&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_simple_server.html">SimpleServer</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_uart_transport.html">UartTransport</a> (erpc)&#160;&#160;&#160;</td></tr>
<tr><td valign="top"><a class="el" href="classerpc_1_1_codec.html">Codec</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_framed_transport.html#structerpc_1_1_framed_transport_1_1_header">FramedTransport::Header</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_spi_master_transport.html">SpiMasterTransport</a> (erpc)&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="classerpc_1_1_codec_factory.html">CodecFactory</a> (erpc)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_I"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;I&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_request_context.html">RequestContext</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_spi_slave_transport.html">SpiSlaveTransport</a> (erpc)&#160;&#160;&#160;</td><td></td></tr>
<tr><td valign="top"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html">MessageBuffer::Cursor</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_r_p_msg_z_c_base_transport.html">RPMsgZCBaseTransport</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_static_message_buffer_factory.html">StaticMessageBufferFactory</a>&#160;&#160;&#160;</td><td></td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_D"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;D&#160;&#160;</div></td></tr></table>
</td><td valign="top"><a class="el" href="classerpc_1_1_inter_thread_buffer_transport.html">InterThreadBufferTransport</a> (erpc)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="class_r_p_msg_z_c_message_buffer_factory.html">RPMsgZCMessageBufferFactory</a>&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classerpc_1_1_static_queue.html">StaticQueue</a> (erpc)&#160;&#160;&#160;</td><td></td></tr>
<tr><td></td><td></td><td></td><td></td></tr>
<tr><td valign="top"><a class="el" href="classerpc_1_1_dspi_master_transport.html">DspiMasterTransport</a> (erpc)&#160;&#160;&#160;</td><td></td><td></td><td></td><td></td></tr>
<tr><td></td><td></td><td></td><td></td><td></td></tr>
</table>
<div class="qindex"><a class="qindex" href="#letter_A">A</a>&#160;|&#160;<a class="qindex" href="#letter_B">B</a>&#160;|&#160;<a class="qindex" href="#letter_C">C</a>&#160;|&#160;<a class="qindex" href="#letter_D">D</a>&#160;|&#160;<a class="qindex" href="#letter_F">F</a>&#160;|&#160;<a class="qindex" href="#letter_G">G</a>&#160;|&#160;<a class="qindex" href="#letter_H">H</a>&#160;|&#160;<a class="qindex" href="#letter_I">I</a>&#160;|&#160;<a class="qindex" href="#letter_M">M</a>&#160;|&#160;<a class="qindex" href="#letter_P">P</a>&#160;|&#160;<a class="qindex" href="#letter_R">R</a>&#160;|&#160;<a class="qindex" href="#letter_S">S</a>&#160;|&#160;<a class="qindex" href="#letter_T">T</a>&#160;|&#160;<a class="qindex" href="#letter_U">U</a></div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
